shockwave flash player - update- help please?

Hiya - Now that I’ve upgraded successfully to Firefox7 (Thanks again Mark!) My flash player is in urgent need of upgrade and I can’t figure it out. Aspire one w/linux linpus lite… Any help greatly appreciated! (The step by step instructions Mark gave for Firefox worked perfectly for a noob like me - assume I know next to nothing about using the system :))

Here ya go, instructions for the latest flashplayer 11.0.1.152:
http://linuxforums.org.uk/netbooks/acer-aspire-one-linpus-lite-flash-player/msg68331/#msg68331